<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::force Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1force.html">force</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::force Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing force values  
<a href="namespaceunits_1_1force.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2c583f1c46ce10404d7ce81fe0c274e3"><td class="memItemLeft" align="right" valign="top"><a id="a2c583f1c46ce10404d7ce81fe0c274e3"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">newton_t</a> &amp;obj)</td></tr>
<tr class="separator:a2c583f1c46ce10404d7ce81fe0c274e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11ca050ae790c0390f136e9028a877fb"><td class="memItemLeft" align="right" valign="top"><a id="a11ca050ae790c0390f136e9028a877fb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">newton_t</a> &amp;obj)</td></tr>
<tr class="separator:a11ca050ae790c0390f136e9028a877fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a678150b8dfb6d38d8f0ab9962d6ec506"><td class="memItemLeft" align="right" valign="top"><a id="a678150b8dfb6d38d8f0ab9962d6ec506"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a678150b8dfb6d38d8f0ab9962d6ec506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0179ebc0df42a9dbfb867086f3acfc4"><td class="memItemLeft" align="right" valign="top"><a id="aa0179ebc0df42a9dbfb867086f3acfc4"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pound_t</a> &amp;obj)</td></tr>
<tr class="separator:aa0179ebc0df42a9dbfb867086f3acfc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d9ba6c81a72cbf06d21d227fb4d8386"><td class="memItemLeft" align="right" valign="top"><a id="a6d9ba6c81a72cbf06d21d227fb4d8386"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">dyne_t</a> &amp;obj)</td></tr>
<tr class="separator:a6d9ba6c81a72cbf06d21d227fb4d8386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fe388aded3ae6d35320257128767461"><td class="memItemLeft" align="right" valign="top"><a id="a5fe388aded3ae6d35320257128767461"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">dyne_t</a> &amp;obj)</td></tr>
<tr class="separator:a5fe388aded3ae6d35320257128767461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc1da6df5d76a3f9f786aa17448f9215"><td class="memItemLeft" align="right" valign="top"><a id="afc1da6df5d76a3f9f786aa17448f9215"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">kilopond_t</a> &amp;obj)</td></tr>
<tr class="separator:afc1da6df5d76a3f9f786aa17448f9215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8f39ee4bdba1bae98eddbcfd094093c"><td class="memItemLeft" align="right" valign="top"><a id="af8f39ee4bdba1bae98eddbcfd094093c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">kilopond_t</a> &amp;obj)</td></tr>
<tr class="separator:af8f39ee4bdba1bae98eddbcfd094093c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f694fe3b70789fc8ef13b91ec801d64"><td class="memItemLeft" align="right" valign="top"><a id="a9f694fe3b70789fc8ef13b91ec801d64"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">poundal_t</a> &amp;obj)</td></tr>
<tr class="separator:a9f694fe3b70789fc8ef13b91ec801d64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa65f987d14c6a8d09c44945200317fca"><td class="memItemLeft" align="right" valign="top"><a id="aa65f987d14c6a8d09c44945200317fca"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">poundal_t</a> &amp;obj)</td></tr>
<tr class="separator:aa65f987d14c6a8d09c44945200317fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing force values </p>
<p>The SI unit for force is <code>newtons</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>force_unit</code>. <a class="anchor" id="forceContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
